Bug 456364 - Review Request: pam_sotp - PAM module that provides support for One Time Passwords (OTP) authentication
Review Request: pam_sotp - PAM module that provides support for One Time Pass...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-23 02:17 EDT by Rahul Sundaram
Modified: 2013-03-13 01:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 23:35:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rpandit: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2008-07-23 02:17:09 EDT
Spec URL: http://sundaram.fedorapeople.org/packages/pam_sotp.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/pam_sotp-0.3.3-1.fc9.src.rpm

Description: 

Pam_sotp provides a simple one time password mechanism for Linux-PAM
(Pluggable Authentication Modules).
Comment 1 Rakesh Pandit 2008-08-01 14:08:30 EDT
Failed to Build
http://koji.fedoraproject.org/koji/taskinfo?taskID=753204 

--------------------------------------------------------
make[1]: Leaving directory `/builddir/build/BUILD/pam_sotp-0.3.3/src'
# PAM module
install -m 755 src/pam/pam_sotp.so
/builddir/rpmbuild/BUILDROOT/pam_sotp-0.3.3-1.fc10.i386/lib/security/
# OTPpasswd utility
install -m 2755 src/utils/otppasswd
/builddir/rpmbuild/BUILDROOT/pam_sotp-0.3.3-1.fc10.i386/usr/bin
# conf. files & directory
install -d -m 770  /builddir/rpmbuild/BUILDROOT/pam_sotp-0.3.3-1.fc10.i386/etc/sotp	
install -m 640  etc/pam.d/otppasswd
/builddir/rpmbuild/BUILDROOT/pam_sotp-0.3.3-1.fc10.i386/etc/pam.d/
+ /usr/bin/install -m 0644 -p
/builddir/build/SOURCES/pam_sotp-pam-config_include
/builddir/rpmbuild/BUILDROOT/pam_sotp-0.3.3-1.fc10.i386/etc/pam.d/otppasswd
+ /usr/bin/install -m 0644 -p /builddir/build/SOURCES/pam_sotp-README.RPM README.RPM
+ /usr/lib/rpm/find-debuginfo.sh --strict-build-id
/builddir/build/BUILD/pam_sotp-0.3.3
extracting debug info from
/builddir/rpmbuild/BUILDROOT/pam_sotp-0.3.3-1.fc10.i386/lib/security/pam_sotp.so
*** ERROR: No build ID note found in
/builddir/rpmbuild/BUILDROOT/pam_sotp-0.3.3-1.fc10.i386/lib/security/pam_sotp.so
error: Bad exit status from /var/tmp/rpm-tmp.OVLMHw (%install)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.OVLMHw (%install)
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i386 --nodeps
builddir/build/SPECS/pam_sotp.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.4/site-packages/mock/util.py", line 315, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" %
(command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i386 --nodeps
builddir/build/SPECS/pam_sotp.spec']
LEAVE do --> EXCEPTION RAISED
------------------------------------------------------------------------

You may like to check http://fedoraproject.org/wiki/Releases/FeatureBuildId
may be you need --build_id for ld at some place to fix it. 


It built on my system but failed on koji

rpmlint output gives:
pam_sotp.i386: W: non-conffile-in-etc /etc/pam.d/otppasswd
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

pam_sotp.i386: E: non-standard-dir-perm /etc/sotp 0770
A standard directory should have permission set to 0755. If you get this
message, it means that you have wrong directory permissions in some dirs
included in your package.

pam_sotp.i386: E: setgid-binary /usr/bin/otppasswd root 02755
The file is setgid. Usually this is a packaging bug. If this is a game,  then,
you should use the proper rpm group, or location.

pam_sotp.i386: E: non-standard-executable-perm /usr/bin/otppasswd 02755
A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.

1 packages and 0 specfiles checked; 3 errors, 1 warnings.
Comment 2 Rakesh Pandit 2008-09-10 02:55:52 EDT
ping?

It has been over month now ?
Comment 3 Rakesh Pandit 2008-09-29 09:27:17 EDT
ping
Comment 4 Rahul Sundaram 2008-10-03 17:55:31 EDT
I have been meaning to get to this for quite sometime but keeping bumping into other things with a higher priority. This package is from the OLPC wishlist however. If you can look into the issue and help me fix this, it would be most helpful.
Comment 5 Rakesh Pandit 2008-10-04 01:20:24 EDT
I will look into this ASAP, may be tomorrow.
Thanks,
Comment 6 Rakesh Pandit 2009-03-16 23:35:40 EDT
I am not interested in fixing it ... and reporter has not time to take care of it any more. Deferring it for now.

Note You need to log in before you can comment on or make changes to this bug.